<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCrimeChance](./bitburner.singularity.getcrimechance.md)

## Singularity.getCrimeChance() method

Get chance to successfully commit a crime.

<b>Signature:</b>

```typescript
getCrimeChance(crime: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  crime | string | Name of crime. |

<b>Returns:</b>

number

Chance of success at commiting the specified crime.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function returns your chance of success at commiting the specified crime.

